oCoreoCore Docs
API Reference

Notifications

Get notifications

Returns recent notifications for the authenticated user.

GET
/notifications

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/notifications" \
  -H "Authorization: <token>"

OK

[
  {
    "body": "string",
    "category": "string",
    "createdAt": "string",
    "dismissed": true,
    "id": "string",
    "read": true,
    "title": "string",
    "url": "string"
  }
]

Get notification preferences

Returns all notification preferences for the user in the current organization.

GET
/notifications/preferences

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/notifications/preferences" \
  -H "Authorization: <token>"

OK

[
  {
    "category": "string",
    "createdAt": "string",
    "enabled": true,
    "environmentId": "string",
    "id": "string",
    "projectId": "string",
    "quietEnd": "string",
    "quietStart": "string",
    "timezone": "string",
    "updatedAt": "string"
  }
]

Update notification preferences

Upserts notification preferences for the authenticated user.

PUT
/notifications/preferences

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Preferences update

preferencesarray<object>
curl -X PUT "//api.ocore.dev/api/notifications/preferences" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "preferences": [
      {
        "category": "string",
        "enabled": true,
        "environmentId": "string",
        "projectId": "string",
        "quietEnd": "string",
        "quietStart": "string",
        "timezone": "string"
      }
    ]
  }'

OK

[
  {
    "category": "string",
    "createdAt": "string",
    "enabled": true,
    "environmentId": "string",
    "id": "string",
    "projectId": "string",
    "quietEnd": "string",
    "quietStart": "string",
    "timezone": "string",
    "updatedAt": "string"
  }
]

Mark all notifications as read

Marks all unread notifications as read for the authenticated user.

POST
/notifications/read-all

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X POST "//api.ocore.dev/api/notifications/read-all" \
  -H "Authorization: <token>"

OK

{
  "count": 0
}

Get unread notification count

Returns the count of unread notifications for the authenticated user.

GET
/notifications/unread-count

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/notifications/unread-count" \
  -H "Authorization: <token>"

OK

{
  "count": 0
}

Mark notification as dismissed

Marks a notification as dismissed.

POST
/notifications/{id}/dismiss

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Notification ID

curl -X POST "//api.ocore.dev/api/notifications/<string>/dismiss" \
  -H "Authorization: <token>"

OK

{
  "body": "string",
  "category": "string",
  "createdAt": "string",
  "dismissed": true,
  "id": "string",
  "read": true,
  "title": "string",
  "url": "string"
}

Mark notification as read

Marks a notification as read.

POST
/notifications/{id}/read

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Notification ID

curl -X POST "//api.ocore.dev/api/notifications/<string>/read" \
  -H "Authorization: <token>"

OK

{
  "body": "string",
  "category": "string",
  "createdAt": "string",
  "dismissed": true,
  "id": "string",
  "read": true,
  "title": "string",
  "url": "string"
}

List notification channels

Returns all notification channels configured for the organization.

GET
/monitoring/notifications/channels

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/monitoring/notifications/channels" \
  -H "Authorization: <token>"

OK

{
  "channels": [
    {}
  ],
  "total": 0
}

Create notification channel

Creates a new notification channel (email, Slack, webhook, etc.) for the organization.

POST
/monitoring/notifications/channels

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Notification channel creation payload

bodyRequiredobject
curl -X POST "//api.ocore.dev/api/monitoring/notifications/channels" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Created

{}

Delete notification channel

Deletes a notification channel by ID.

DELETE
/monitoring/notifications/channels/{channelId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

channelIdRequiredstring

Notification Channel ID (UUID)

curl -X DELETE "//api.ocore.dev/api/monitoring/notifications/channels/<string>" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Update notification channel

Updates an existing notification channel by ID.

PUT
/monitoring/notifications/channels/{channelId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Notification channel update payload

bodyRequiredobject

Path Parameters

channelIdRequiredstring

Notification Channel ID (UUID)

curl -X PUT "//api.ocore.dev/api/monitoring/notifications/channels/<string>" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

OK

{}

Test notification channel

Sends a test notification through the specified channel to verify it works.

POST
/monitoring/notifications/channels/{channelId}/test

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

channelIdRequiredstring

Notification Channel ID (UUID)

curl -X POST "//api.ocore.dev/api/monitoring/notifications/channels/<string>/test" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Was this page helpful?